Bug 2176766 - Dragging files is Nautilus doesn't work as expected, quick movements result in a selection box instead
Summary: Dragging files is Nautilus doesn't work as expected, quick movements result i...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus
Version: 38
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Depends On:
Blocks: F38FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2023-03-09 08:21 UTC by Kamil Páral
Modified: 2023-03-20 00:16 UTC (History)
8 users (show)

Fixed In Version: nautilus-44.0-1.fc38
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-03-20 00:16:35 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
GNOME Gitlab GNOME nautilus issues 2844 0 None opened Rubberband selection starting instead of drag and drop if mouse starts moving too soon 2023-03-15 09:42:44 UTC
GNOME Gitlab GNOME nautilus merge_requests 1151 0 None opened Revert "list-base: Remove rubberband hack" 2023-03-15 09:42:44 UTC

Description Kamil Páral 2023-03-09 08:21:11 UTC
Please see the issue described here:
https://gitlab.gnome.org/GNOME/nautilus/-/issues/2844#note_1693069

Proposing for a blocker discussion, because dragging files is a pretty basic operation to be performed in a file manager. Dragging files is still *possible*, it just seems to be randomly non-working to a non-informed person. (Note that this will be highly subjective, depending on how quick movements you're used to do with your mouse).

Comment 1 Geoffrey Marr 2023-03-13 19:19:20 UTC
Discussed during the 2023-03-13 blocker review meeting: [0]

The decision to classify this bug as an "AcceptedBlocker (Final)" was made as a violation of the "basic functionality" criterion for nautilus, in the case of impatient people who like to move the mouse real fast.

[0] https://meetbot.fedoraproject.org/fedora-blocker-review/2023-03-13/f38-blocker-review.2023-03-13-16.00.txt

Comment 2 Ondrej Holy 2023-03-15 09:42:45 UTC
Just a note that the https://gitlab.gnome.org/GNOME/nautilus/-/merge_requests/1151 merge request should fix the issue. It brings back the workaround that works well for the 43.x releases but was removed for the 44 version. It should have been fixed in GTK, but it isn't for some reason. I'm trying to get feedback from other maintainers as I don't know that code very well. Once the MR will be accepted, I will create a freeze break request so it can be merged before the 44.0 final release.

Comment 3 Kamil Páral 2023-03-15 09:48:33 UTC
Thanks, Ondrej! Final freeze starts in 3 weeks, hopefully the exception might not be even needed :-)

Comment 4 Fedora Update System 2023-03-16 23:15:32 UTC
FEDORA-2023-287e6e502b has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-287e6e502b

Comment 5 Kamil Páral 2023-03-17 12:09:00 UTC
(In reply to Fedora Update System from comment #4)
> FEDORA-2023-287e6e502b has been submitted as an update to Fedora 38.
> https://bodhi.fedoraproject.org/updates/FEDORA-2023-287e6e502b

Fixed

Comment 6 Fedora Update System 2023-03-18 05:13:52 UTC
FEDORA-2023-287e6e502b has been pushed to the Fedora 38 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-287e6e502b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2023-03-20 00:16:35 UTC
FEDORA-2023-287e6e502b has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.